import * as stringFilters from './string'
import * as timeFilters from './time'

const filters = {
  ...timeFilters,
  ...stringFilters
}

export default {
  install (Vue, options) {
    Object.keys(filters).forEach(key => {
      Vue.filter(key, filters[key])
    })
  }
}
