import util from './util'
/*
* @method dateFormate
* @params Number or String
* @return String  '2017-06-28'
* */
let dateFormate = value => {
  let localTime = new Date(value)
  let y = localTime.getFullYear()
  let m = util.addZero(localTime.getMonth() + 1)
  let d = util.addZero(localTime.getDate())
  return y + '-' + m + '-' + d
}

/*
* @method timeFormate
* @params Number or String
* @return String  '2017-06-28 12:59:38'
* */
let timeFormate = value => {
  let localTime = new Date(value)
  let y = localTime.getFullYear()
  let m = util.addZero(localTime.getMonth() + 1)
  let d = util.addZero(localTime.getDate())
  let h = util.addZero(localTime.getHours())
  let mm = util.addZero(localTime.getMinutes())
  let s = util.addZero(localTime.getSeconds())
  return y + '-' + m + '-' + d + ' ' + h + ':' + mm + ':' + s
}

export {
  dateFormate,
  timeFormate
}
