/**
 * Created by echo on 2017/10/9.
 */
const api = {
  /* 缓存api */
  setItem: function (key, value) {
    this.removeItem(key)
    window.localStorage.setItem(key, JSON.stringify(value))
  },
  getItem: function (key) {
    return JSON.parse(window.localStorage.getItem(key))
  },
  removeItem: function (key) {
    window.localStorage.removeItem(key)
  }
}

const GlobalApi = {
  install (Vue, options) {
    Vue.prototype.GlobalApi = api
  }
}

export default GlobalApi
