/*
* @method uppercase
* @params String or 0
* @return String
* @example 'good' => 'GOOD'
* */
let uppercase = value => {
  return (value || value === 0)
    ? value.toString().toUpperCase()
    : ''
}
/*
* @method lowercase
* @params String or 0
* @return String
* @example 'GOOD' => 'good'
* */
let lowercase = value => {
  return (value || value === 0)
    ? value.toString().toLowerCase()
    : ''
}
/*
* @method capitalize
* @params String or 0
* @return String
* @example 'good' => 'Good'
* */
let capitalize = value => {
  if (!value && value !== 0) return ''
  value = value.toString()
  return value.charAt(0).toUpperCase() + value.slice(1)
}

export {
  uppercase,
  lowercase,
  capitalize
}
