let utils = {}

utils.isObject = function (obj) {
  return obj !== null && typeof obj === 'object'
}

utils.toNumber = function (val) {
  var n = parseFloat(val)
  return isNaN(n) ? val : n
}

utils.remove = function (target, item) {
  if (Object.prototype.toString.call(target) === '[object Obejct]') {
    for (let key in target) {
      if (target[key] === item) {
        delete target[key]
      }
    }
  } else {
    if (target.length) {
      var index = target.indexOf(item)
      if (index > -1) {
        return target.splice(index, 1)
      }
    }
  }
}

utils.delete = function (target, item) {
  if (Object.prototype.toString.call(target) === '[object Obejct]') {
    let newObj = {}
    Object.assign(newObj, target)
    for (let key in newObj) {
      if (newObj[key] === item) {
        delete newObj[key]
        return newObj
      }
    }
  } else {
    let arr = [...target]
    if (arr.length) {
      var index = arr.indexOf(item)
      if (index > -1) {
        return arr.splice(index, 1)
      }
    }
  }
}

export default utils
